%define upstream_name    CGI-Application-Plugin-LogDispatch
%define upstream_version 1.02

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Add Log::Dispatch support to CGI::Application
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CGI/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(CGI)
BuildRequires: perl(CGI::Application)
BuildRequires: perl(Log::Dispatch)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch


%{?perl_default_filter}

%description
CGI::Application::Plugin::LogDispatch adds logging support to your the
CGI::Application manpage modules by providing a the Log::Dispatch manpage
dispatcher object that is accessible from anywhere in the application.

If you have the CGI::Application::Plugin::DevPopup manpage installed, a
"Log Entries" report is added to the popup window, containing all of the
entries that were logged during the execution of the runmode. 

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc Changes README META.yml
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.20.0-14.mga10
+ Revision: 2207584
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.20.0-13.mga9
+ Revision: 1817042
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.20.0-12.mga8
+ Revision: 1493486
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.20.0-11.mga7
+ Revision: 1265991
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 1.20.0-10.mga6
+ Revision: 1023430
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.20.0-9.mga6
+ Revision: 969229
- Mageia 6 Mass Rebuild

* Sat Aug 15 2015 sander85 <sander85> 1.20.0-8.mga6
+ Revision: 864976
- Fix BRs

* Sun Oct 19 2014 umeabot <umeabot> 1.20.0-7.mga5
+ Revision: 789241
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-6.mga5
+ Revision: 750371
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.20.0-5.mga5
+ Revision: 732917
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-4.mga5
+ Revision: 683633
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.20.0-3.mga4
+ Revision: 509380
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.20.0-2.mga3
+ Revision: 363494
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 1.20.0-1.mga1
+ Revision: 36144
- mageia rebuild
- imported package perl-CGI-Application-Plugin-LogDispatch


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.20.0-1mdv2010.0
+ Revision: 405776
- rebuild using %%perl_convert_version

* Wed Nov 26 2008 Guillaume Rousse <guillomovitch@mandriva.org> 1.02-1mdv2009.1
+ Revision: 307144
- import perl-CGI-Application-Plugin-LogDispatch


* Wed Nov 26 2008 cpan2dist 1.02-1mdv
- initial mdv release, generated with cpan2dist

